
CoCoA-5 - Bug #422

Bug or feature for protected name? (Use command)

07 Jan 2014 00:35 - John Abbott

Status: New Start date: 07 Jan 2014

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: CoCoA-5.?.? Spent time: 0.75 hour

Description

From email of 2010-11-19

Is this the behaviour we want?

 Use A ::= QQ[P,Q,R];

 Use R ::= QQ[x,y];   -->  Gives error because R is protected.

 

JAA thinks this is a bug, but it is probably not very serious (how often would one use the same name for an indet in once ring, and

then for the next ring?)

It is easy to work around: just execute Use QQ; in between!

History

#1 - 07 Jan 2014 00:42 - John Abbott

There was an email discussion 2010-11-22 & 2010-11-23.

Perhaps add a summary here??

It is peculiar that

Use A ::= QQ[P,Q,R];

Use R ::= QQ[x,y];   -->  Gives error because R is protected.

but we get no error if we do

Use A ::= QQ[P,Q,R];

Use QQ;

Use R ::= QQ[x,y];   -->  No error!

 

Note that the Use command appears not to respect protection on variables (in that the protected variables corresponding to symbols of the ring can

change value)
#2 - 07 Jan 2014 16:09 - John Abbott

- Subject changed from Bug or feature for protected name? to Bug or feature for protected name? (Use command)

Damn!!!  Emacs is failing to read my entire archive of emails about CoCoALib/CoCoA-5

#3 - 02 Apr 2014 17:34 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

#4 - 04 Apr 2014 15:09 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.?.?
